<!DOCTYPE html>
<html
        {%- if text_direction %} dir="{{ text_direction }}"{% endif %}
        {%- if language %} lang="{{ language }}"{% endif %}
        {%- if amp %} amp{% endif %}
                                 prefix="og: https://ogp.me/ns#">
<head>
    <meta charset="utf-8">
    <title>{{ title }}</title>
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <meta name="format-detection" content="telephone=no"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="MobileOptimized" content="176"/>
    <meta name="HandheldFriendly" content="True"/>

    <meta property="og:type" content="website"/>
    <meta property="og:title" content="{{ title }}"/>
    <meta property="og:site_name" content="{{ source_name }}"/>
    <meta property="og:url" content="{{ article_url }}"/>
    {% if description %}
        <meta property="og:description" content="{{ description }}"/>
    {% endif %}
    {% if og_image %}
        <meta property="og:image" content="{{ og_image }}"/>
    {% elif article_image %}
        <meta property="og:image" content="{{ article_image }}"/>
    {% endif %}
    <meta name="twitter:card" content="summary_large_image"/>
    <meta property="article:author" content="{{ source_name }}"/>
    {% if favicon %}
        <link type="image/x-icon" href="{{ favicon }}" rel="icon">
    {% endif %}
    <meta name="robots" content="{% if not index %}noindex, {% endif %}nofollow">
    {% if not remove_default_css %}
        <link href="assets/css/newstyle.css" rel="stylesheet">
    {% endif %}
    {% for styles in custom_styles %}
        <link href="{{ styles }}" rel="stylesheet">
    {% endfor %}
    {% for js in custom_js %}
        <script src="{{ js }}"></script>
    {% endfor %}
    <script type="text/javascript">
        const cancelCurrentLink = function () {
            delete document.body.dataset.currentLink;
        };

        const goToCurrentLink = function () {
            const currentLinkHref = document.body.dataset.currentLink;
            if (currentLinkHref) {
                delete document.body.dataset.currentLink;
                document.location.href = currentLinkHref;
            }
        };

        document.addEventListener("click", (e) => {
            let target = e.target.closest("a");
            if (target) {
                // if the click was on or within an <a>
                if (!target.href.includes("cloudfront.net") &&
                        !target.href.includes("azureedge.net") &&
                        !target.href.includes("global.ssl.fastly.net")) {
                    e.preventDefault();
                    document.body.dataset.currentLink = target.href;
                }
            }
        });
    </script>
    {% if google_analytics_tracking_id %}
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id={{ google_analytics_tracking_id }}"></script>
        <script>
            window.dataLayer = window.dataLayer || [];

            function gtag() {
                dataLayer.push(arguments);
            }

            gtag('js', new Date());
            gtag('config', '{{ google_analytics_tracking_id }}');
        </script>
    {% endif %}
    {% if tealium %}
        <script type="text/javascript">
        var queuedTealiumStates = [];
        var queuedTealiumActions = [];

        // Initialize Tealium analytics
        window.utag_cfg_ovrd = window.utag_cfg_ovrd || {}; //Make sure we don't kill a previous decleration of the object
        window.utag_cfg_ovrd.noview = true;

        function onUtagLoaded(config) {
          window.utag.cfg.datasource = config.datasource;

          // Send queued events
          for (var i = 0; i < queuedTealiumStates.length; i++) {
            //console.log("Send queued event: ");
            window.utag.view(queuedTealiumStates[i]); //, function() { utag.DB("Queued page view has been tracked"); });
          }
          queuedTealiumStates = [];
          for (i = 0; i < queuedTealiumActions.length; i++) {
            //console.log("Send queued event: ");
            window.utag.link(queuedTealiumActions[i]); //, function() { utag.DB("Queued page view has been tracked"); });
          }
          queuedTealiumActions = [];
        }

        class TealiumLogger {
          constructor(config) {
            this.$config = config;

            // append tealium tag and include a check so that we know when utag is loaded and ready for use in other scripts
            (function (a, b, c, d) {
              a = config.utag;
              b = document;
              c = "script";
              d = b.createElement(c);
              d.src = a;
              d.type = "text/java" + c;
              d.async = true;
              a = b.getElementsByTagName(c)[0];
              a.parentNode.insertBefore(d, a);

              // uses onload, for modern browsers
              d.onload = function () {
                if (!d.onloadDone) {
                  d.onloadDone = true;
                  onUtagLoaded(config);
                }
              };

              // uses onreadystatechange, for IE9
              d.onreadystatechange = function () {
                if (("loaded" === d.readyState || "complete" === d.readyState) && !d.onloadDone) {
                  d.onloadDone = true;
                  onUtagLoaded(config);
                }
              };
            })();
          }

          getLogObject(url) {
            var event = {}; //this.getEmptyLogObject();
            event.property_id = this.$config.propertyId;
            event.rsid_acct = this.$config.rsidAcct;
            event.platform_type = this.$config.platformType;
            event.entity = this.$config.entity;
            event.app_type = this.$config.appType;

            event.canonical_url = url;

            // Do this after the above, since we use those fields!
            event.app_id = event.entity + " " + event.app_type + " : " + "0.0.1";
            return event;
          }

          logStateLoaded(url) {
            var event = this.getLogObject(url);
            event.page_name = "snap-main";
            event.content_type = "snap-main";
            event.subcontent_type = "snap-main";
            event.section = "snap-main";
            event.page_title = "snap-main";
            this.logStateEvent(event);
          }

          logStateEvent(event) {
            if (window.utag !== undefined) {
              window.utag.view(event);
            } else {
              // Queue for sending later, when loaded
              queuedTealiumStates.push(event);
            }
          }

          logActionEvent(event) {
            delete event.page_title;
            if (window.utag !== undefined) {
              window.utag.link(event);
            } else {
              // Queue for sending later, when loaded
              queuedTealiumActions.push(event);
            }
          }
        }

        const logger = new TealiumLogger({
            utag: "//tags.tiqcdn.com/utag/bbg/rfa-plone/dev/utag.js",
            propertyId: "bbgrfadev1",
            rsidAcct: "bbgrfadev1",
            platformType: "news app",
            entity: "rfa",
            appType: "pwa"
        });

        addEventListener("load", (event) => {
            let ogUrl = document.querySelector("meta[property='og:url']").getAttribute("content");
            logger.logStateLoaded(ogUrl);
        });
        </script>
    {% endif %}
    {% if amp %}
        <style amp-boilerplate="">body {
            -webkit-animation: -amp-start 8s steps(1, end) 0s 1 normal both;
            -moz-animation: -amp-start 8s steps(1, end) 0s 1 normal both;
            -ms-animation: -amp-start 8s steps(1, end) 0s 1 normal both;
            animation: -amp-start 8s steps(1, end) 0s 1 normal both
        }

        @-webkit-keyframes -amp-start {
            from {
                visibility: hidden
            }
            to {
                visibility: visible
            }
        }

        @-moz-keyframes -amp-start {
            from {
                visibility: hidden
            }
            to {
                visibility: visible
            }
        }

        @-ms-keyframes -amp-start {
            from {
                visibility: hidden
            }
            to {
                visibility: visible
            }
        }

        @-o-keyframes -amp-start {
            from {
                visibility: hidden
            }
            to {
                visibility: visible
            }
        }

        @keyframes -amp-start {
            from {
                visibility: hidden
            }
            to {
                visibility: visible
            }
        }</style>

        <script async src="https://cdn.ampproject.org/v0.js"></script>
        <script async="" custom-element="amp-loader" data-script="amp-loader" i-amphtml-inserted=""
                crossorigin="anonymous"
                src="https://cdn.ampproject.org/rtv/012405101652000/v0/amp-loader-0.1.js"></script>
        <script async="" custom-element="amp-sidebar" src="https://cdn.ampproject.org/v0/amp-sidebar-0.1.js"></script>
        <script async="" custom-element="amp-iframe" src="https://cdn.ampproject.org/v0/amp-iframe-0.1.js"></script>
        <script async="" custom-element="amp-video" src="https://cdn.ampproject.org/v0/amp-video-0.1.js"></script>
        <script async="" custom-element="amp-auto-lightbox" data-script="amp-auto-lightbox" i-amphtml-inserted=""
                crossorigin="anonymous"
                src="https://cdn.ampproject.org/rtv/012405101652000/v0/amp-auto-lightbox-0.1.js"></script>
        <script async="" custom-element="amp-youtube" src="https://cdn.ampproject.org/v0/amp-youtube-0.1.js"></script>
        <script async="" custom-element="amp-lightbox-gallery" data-script="amp-lightbox-gallery" i-amphtml-inserted=""
                crossorigin="anonymous"
                src="https://cdn.ampproject.org/rtv/012405101652000/v0/amp-lightbox-gallery-0.1.js"></script>
        <script async="" custom-element="amp-audio" src="https://cdn.ampproject.org/v0/amp-audio-0.1.js"></script>
    {% endif %}
    {% if twitter_js %}
        <script async src="https://platform.twitter.com/widgets.js"></script>
    {% endif %}
    <script>
        (async () => {
            try {
                const eventData = {
                    idsite: {{ matomo_site_id }},
                    rec: 1,
                    action_name: "Visit/{{ source_name }}",
                    url: "{{ article_url }}",
                    apiv: 1,
                };
                const params = new URLSearchParams();
                for (const [key, value] of Object.entries(eventData)) {
                    params.append(key, value);
                }
                const response = await fetch(
                    "{{ matomo_url }}?" + params.toString(),
                    {method: "POST"}
                );
                if (!response.ok) {
                    console.error(`Response status: ${response.status}`);
                }
            } catch (e) {
                console.error(e);
            }
        })();
    </script>
</head>
<body>
<div class="snap-wrapper">
    <a href="#snap-main" class="snap-skip-link">Skip to main content</a>

    <details class="snap-trust-header">
            <summary class="snap-trust-header__header">
                <div class="snap-trust-header__header-text">
                    {% trans %}How do I know that I can trust this page?{% endtrans %}
                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="snap-trust-header__expand-icon">
                        <path d="M12.0132 15.5154C12.282 15.5133 12.5392 15.4067 12.7307 15.2181L17.6953 10.2535C17.8899 10.0598 17.9996 9.79673 18.0001 9.52216C18.0008 9.24758 17.8922 8.98401 17.6986 8.7894C17.5048 8.59479 17.2417 8.4851 16.9671 8.48455C16.6925 8.48391 16.429 8.59243 16.2343 8.78608L12.0001 13.0201L7.76585 8.78608H7.76596C7.50378 8.52519 7.12238 8.42384 6.76536 8.52038C6.40823 8.61693 6.12979 8.89664 6.03484 9.2541C5.93989 9.61155 6.04286 9.99261 6.30504 10.2535L11.2696 15.2181C11.4674 15.413 11.7354 15.5201 12.0129 15.5154H12.0132Z" fill="#333333"/>
                    </svg>
                </div>
            </summary>
            <div class="snap-trust-header__content">
                {% trans %}This story is a copy of an article from <a href="https://{{ source_name }}/" class="snap-trust-header__sitelink">{{ source_name }}</a>. It was originally created by the publisher at the request of a friend or colleague. It's delivered to you from a trusted archive to assure its availability over time.{% endtrans %}
                <p>
                    <a href="{{ source_url }}" class="snap-footer-link">
                        {% trans %}View the article source{% endtrans %}
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path
                                    d="M19.7212 13.0822C19.3072 13.0822 18.9712 13.4189 18.9712 13.8322V18.9712H5.02881V5.02881H10.167C10.5818 5.02881 10.917 4.69279 10.917 4.27881C10.917 3.86483 10.5818 3.52881 10.167 3.52881H4.27881C3.86405 3.52881 3.52881 3.86483 3.52881 4.27881V19.7212C3.52881 20.136 3.86405 20.4712 4.27881 20.4712H19.7212C20.136 20.4712 20.4712 20.136 20.4712 19.7212V13.8322C20.4712 13.4197 20.136 13.0822 19.7212 13.0822Z"
                                    fill="#222F3A"
                            />
                            <path
                                    d="M19.7212 3.52881H14.1622C13.7474 3.52881 13.4122 3.86483 13.4122 4.27881C13.4122 4.69279 13.7474 5.02881 14.1622 5.02881H17.9108L11.9978 10.9418C11.7045 11.2351 11.7045 11.7091 11.9978 12.0023C12.144 12.1485 12.3361 12.222 12.528 12.222C12.7201 12.222 12.912 12.1485 13.0583 12.0023L18.9713 6.08927V9.83927C18.9713 10.2532 19.3073 10.5893 19.7213 10.5893C20.136 10.5893 20.4713 10.2532 20.4713 9.83927V4.27887C20.4713 3.86411 20.136 3.52887 19.7213 3.52887L19.7212 3.52881Z"
                                    fill="#222F3A"
                            />
                        </svg>
                    </a>
                </p>
            </div>
        </details>

    <header class="snap-page-header">

        {% if page_header_template %}
            {{ page_header_template }}
        {% else %}
            <nav class="snap-page-header-nav">
                {% if homepage_link %}
                    <a href="{{ homepage_link }}">
                {% endif %}
                <img src="{{ logo_path }}" alt="{{ source_name }}" class="snap-page-header-logo">
                {% if homepage_link %}
                    </a>
                {% endif %}
            </nav>
        {% endif %}
    </header>
    <main id="snap-main">
            <header class="snap-article-header">
                <h1>{{ title | trim }}</h1>
                <div class="snap-byline">
                    {% if datetime %}{{ datetime | trim }} - {% endif %}
                    {% if author %}{{ author | trim }} - {% endif %}
                    {{ source_name }}
                </div>
            </header>
            {% if article_image %}
                <figure>
                    <img src="{{ article_image }}">
                    {% if article_image_caption %}
                        <figcaption>{{ article_image_caption }}</figcaption>
                    {% endif %}
                </figure>
            {% endif %}
            <div class="snap-content">
                {{ content | safe }}
            </div>
            {% if footer_link and footer_text %}
                <p>
                    <a href="{{ footer_link }}" class="snap-footer-link">
                        {{ footer_text }}
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M19.7212 13.0822C19.3072 13.0822 18.9712 13.4189 18.9712 13.8322V18.9712H5.02881V5.02881H10.167C10.5818 5.02881 10.917 4.69279 10.917 4.27881C10.917 3.86483 10.5818 3.52881 10.167 3.52881H4.27881C3.86405 3.52881 3.52881 3.86483 3.52881 4.27881V19.7212C3.52881 20.136 3.86405 20.4712 4.27881 20.4712H19.7212C20.136 20.4712 20.4712 20.136 20.4712 19.7212V13.8322C20.4712 13.4197 20.136 13.0822 19.7212 13.0822Z"
                                  fill="#222F3A"/>
                            <path d="M19.7212 3.52881H14.1622C13.7474 3.52881 13.4122 3.86483 13.4122 4.27881C13.4122 4.69279 13.7474 5.02881 14.1622 5.02881H17.9108L11.9978 10.9418C11.7045 11.2351 11.7045 11.7091 11.9978 12.0023C12.144 12.1485 12.3361 12.222 12.528 12.222C12.7201 12.222 12.912 12.1485 13.0583 12.0023L18.9713 6.08927V9.83927C18.9713 10.2532 19.3073 10.5893 19.7213 10.5893C20.136 10.5893 20.4713 10.2532 20.4713 9.83927V4.27887C20.4713 3.86411 20.136 3.52887 19.7213 3.52887L19.7212 3.52881Z"
                                  fill="#222F3A"/>
                        </svg>
                    </a>
                </p>
            {% endif %}
        </main>
        <footer class="snap-footer">
            {% if page_footer_template %}
                {{ page_footer_template }}
            {% else %}
                <div>
                    {% if homepage_link %}
                        <a href="{{ homepage_link }}">
                    {% endif %}
                    <img src="{{ logo_path }}" alt="{{ source_name }} logo">
                    {% if homepage_link %}
                        </a>
                    {% endif %}
                </div>
            {% endif %}
            <p>{{ copyright or "© " + source_name }}</p>
        </footer>
    </div>
    <div class="snap-link-warning-popup">
        <div class="snap-link-warning-popup__wrapper">
            <div class="snap-link-warning-popup__header">
                <div class="snap-link-warning-popup__title">{% trans %}You are leaving this page{% endtrans %}</div>
                <div class="snap-link-warning-popup__icon" onclick="cancelCurrentLink()">
                    <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <g clip-path="url(#clip0_235_140)">
                            <path
                                    fill-rule="evenodd"
                                    clip-rule="evenodd"
                                    d="M2.94975 3.05025C3.34027 2.65973 3.97344 2.65973 4.36396 3.05025L7.89949 6.58579L11.435 3.05025C11.8256 2.65973 12.4587 2.65973 12.8492 3.05025C13.2398 3.44078 13.2398 4.07394 12.8492 4.46447L9.31371 8L12.8492 11.5355C13.2398 11.9261 13.2398 12.5592 12.8492 12.9497C12.4587 13.3403 11.8256 13.3403 11.435 12.9497L7.89949 9.41421L4.36396 12.9497C3.97344 13.3403 3.34027 13.3403 2.94975 12.9497C2.55922 12.5592 2.55922 11.9261 2.94975 11.5355L6.48528 8L2.94975 4.46447C2.55922 4.07394 2.55922 3.44078 2.94975 3.05025Z"
                                    fill="#303E4F"
                            />
                        </g>
                        <defs>
                            <clipPath id="clip0_235_140">
                                <rect width="16" height="16" fill="white" />
                            </clipPath>
                        </defs>
                    </svg>
                </div>
            </div>
            <div class="snap-link-warning-popup__content">
                {% trans %}This link will redirect you to an external website. If it’s not available in your region, you may not be able to access it.{% endtrans %}
            </div>
            <div class="snap-link-warning-popup__button" onclick="goToCurrentLink()">{% trans %}Continue{% endtrans %}</div>
        </div>
    </div>
</body>
</html>
